<template>
    <div>
        <Menustands :standsCategoria=ctaegoriastands :opcionesmenu=opcionesmenu></Menustands>
    </div>
</template>
<script>
import Menustands from "../components/Menustands.vue";
export default {
    name:"StandsComponent",
    components:{
        Menustands,
    },
    data(){
      return{
        opcionesmenu:null,
      }
    },
    props:{
        nombrestands:String,
        ctaegoriastands:String,
        idevento:Number
    },
    created() {
      if(this.nombrestands !== null && this.ctaegoriastands !== null){
          console.log(this.idevento);
          fetch(`http://localhost:6030/stands/${this.idevento}/${this.ctaegoriastands}/${this.nombrestands}`)
            .then(response => response.json())
            .then(data => {
                console.log(data);
                this.opcionesmenu=data;
            })
      }   
    },
    setup(props) {
        let elemento = document.getElementById('principal');
        elemento.classList.remove(elemento.classList.value)
        switch (props.ctaegoriastands) {
            case "plata":
                if(props.nombrestands == "norvet")
                elemento.classList.add("standsnorvet")
            break;
            case "diamante":
                if(props.nombrestands == "INFARVET")
                elemento.classList.add("standsinfravet")
            break
            case "oro":
                if(props.nombrestands == "analav")
                elemento.classList.add("standsanalav")
            break
            
        }
    },
    
}
</script>